<?php

namespace Src\Modules\Auth\Interfaces\Infrastructure\Queries;

use Src\Modules\Auth\Interfaces\Infrastructure\IFactory as IInfrastructureFactory;

interface IFactory
{
    public function setInfrastructureFactory(IInfrastructureFactory $factory): void;
    public function getInfrastructureFactory(): IInfrastructureFactory;
    public function createAdminsQuery(): IAdminsQuery;
}